%define	scriptsver	1.5.3

Name:		iptables
Summary:	Tools for managing Linux kernel packet filtering capabilities.
Group:		System Environment/Base
License:	GPL
Version:	1.3.3
Release:	3
Source0:	http://www.netfilter.org/files/%{name}-%{version}.tar.bz2
Source2:	firewall-scripts-%{scriptsver}.tar.gz
Requires:	kernel >= 2.4.22-1.5.47
PreReq:		chkconfig
Obsoletes:	ipchains, ipmasqadm
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/ip6tables.8*
  %doc %{_mandir}/man8/iptables.8*
  %doc %{_mandir}/man8/iptables-restore.8*
  %doc %{_mandir}/man8/iptables-save.8*

  %dir /lib/iptables
  %attr(0500,root,root)		/lib/iptables/libip6t*
  %attr(0500,root,root)		/lib/iptables/libipt*
  %attr(0500,root,root)		%{_root_sbindir}/ip6tables*
  %attr(0500,root,root)		%{_root_sbindir}/iptables*

  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/firewall/firewall.conf
  %attr(0740,root,admin)	%config(noreplace) %{_sysconfdir}/firewall/include/default.sh
  %attr(0740,root,admin)	%config(noreplace) %{_sysconfdir}/firewall/include/portfw.sh
  %attr(0740,root,admin)	%config(noreplace) %{_sysconfdir}/firewall/custom/user.sh

%description
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you should install this package.

%prep
%setup -q -a 2

%build
  make COPT_FLAGS="$RPM_OPT_FLAGS" LIBDIR=/lib
  make COPT_FLAGS="$RPM_OPT_FLAGS" LIBDIR=/lib iptables-save iptables-restore

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=%{buildroot} BINDIR=/sbin LIBDIR=/lib MANDIR=%{_mandir}
  cp iptables-{save,restore} $RPM_BUILD_ROOT/sbin
  cp iptables-*.8 $RPM_BUILD_ROOT%{_mandir}/man8

  # Install EnGarde firewall scripts.
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/firewall/{custom,include}
  cd firewall-scripts-%{scriptsver}
  install firewall.conf $RPM_BUILD_ROOT/%{_sysconfdir}/firewall
  install default.sh    $RPM_BUILD_ROOT/%{_sysconfdir}/firewall/include
  install portfw.sh     $RPM_BUILD_ROOT/%{_sysconfdir}/firewall/include
  install user.sh       $RPM_BUILD_ROOT/%{_sysconfdir}/firewall/custom

%preun
  if [ "$1" = 0 ]; then
	/etc/init.d/iptables stop	|| :
	/sbin/chkconfig --del iptables	|| :
  fi

%clean
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 09 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.3, Release 3
  - Remove the old iptables initscript but leave the old configuration
    behind.  Fixes #0000813.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.3, Release 2
  - Upgrade to latest version

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
